﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace demo_endo_csharp
{
    class Program
    {
        static void Main(string[] args)
        {
            var paths = new[] {
                @"..\..\..\..\TestData\Endo-Annotation-1.xml",
                @"..\..\..\..\TestData\Endo-Annotation-2.xml",
                @"..\..\..\..\TestData\Endo-Annotation-3.xml",
            };

            foreach (var path in paths)
            {
                Console.WriteLine("User Info:");
                var userInfo = CSharpWrapper.AnnotationXmlUtilityWrapper.ParseUserInformationWithPath(path);
                PrintDictionary(userInfo, "\t");

                Console.WriteLine("Image Info:");
                var imageInfo = CSharpWrapper.AnnotationXmlUtilityWrapper.ParseImageInformationWithPath(path);
                PrintDictionary(imageInfo, "\t");

                Console.WriteLine("Annotations:");
                var annotation = CSharpWrapper.AnnotationXmlUtilityWrapper.GetAllAnnotationsWithPath(path);
                PrintAnnotations(annotation);

                Console.WriteLine();
            }

            Console.Read();
        }

        static void PrintDictionary(Dictionary<string, string> dic, string begin)
        {
            foreach (var item in dic)
            {
                Console.WriteLine($"{begin}{item.Key}: {item.Value}");
            }
        }

        static void PrintAnnotations(Dictionary<string, List<Dictionary<string, string>>> annotations)
        {
            foreach (var item in annotations)
            {
                Console.WriteLine($"\t{item.Key}:{item.Value.Count}");
            }
        }
    }
}
